Advertising

Sparky 5.8 “Nibiru”

There are new live/install media of SparkyLinux 5.8 “Nibiru” available to download.
This is the 1st release of the new stable line, which is based on the Debian 10 “Buster”.

Changes:
– based on Debian 10 stable “Buster” now, repositories changed from ‘testing’ to ‘stable’
– system upgraded from Debian stable “Buster” repos as of July 14, 2019
– Linux kernel 4.19.37-5 (i686 & amd64)
– Linux kernel 4.19.57-v7+ (ARMHF)
– the Calamares installer updated up to version 3.2.11
– apt-daily.service disabled
– sparky-tube installed as dafault
– removed old 3rd party repositories
– added obconf-qt (LXQt edition)
– nm-tray installed instead of network-manager-gnome (LXQt edition)
– network-manager added to CLI ARMHF image
– small fixes

System reinstallation is not required. If you have Sparky 5.x installed make sure your OS uses Debian’s ‘buster’ or ‘stable’ repos, and make full system upgrade:
sudo apt update
sudo apt install sparky5-apt
sudo apt update
sudo apt full-upgrade

Sparky 5.8 is available in the following flavors:
– amd64 & i686: LXQt, Xfce, MinimalGUI (Openbox) & MinimalCLI (text mode)
– armhf: Openbox & CLI (text mode)

New stable iso/img images can be downloaded from the download/stable page.

Changing the repositories moves Sparky 5 from ‘rolling’ to ‘stable’ line now.
If you would like to keep Sparky rolling, read the post: https://sparkylinux.org/sparky-5-transition/

Sparky 5 transition

Sparky 5 based on Debian 10 “Buster” has been moved to the new stable line now.

What you should do now?

1. Check Debian repositories to make sure your OS uses ‘buster’ (or ‘stable’) repos at the /etc/apt/sources.list

2. Sparky 5 automatically changes its own repositories from testing to stable, by upgrading the ‘sparky5-apt’ package:
sudo apt update
sudo apt install sparky-apt sparky5-apt

3. Then make full system upgrade:
sudo apt update
sudo apt full-upgrade

Sparky Upgrade Tool should install the latest ‘sparky5-apt’ package before performing the system upgrade, but if it doesn’t, close the Upgrade Tool and do it manually in a terminal emulator, as above.

If you would like to keep using the rolling edition based on Debian testing:
1. Check Debian repositories to make sure your OS uses ‘testing’ repos at the /etc/apt/sources.list
2. Temporary change Sparky repos from ‘stable’ to ‘testing’ at the /etc/apt/sources.d/sparky-stable.list if your system uses Sparky ‘stable’ repos already, and refresh package list:
sudo apt update
3. Install the latest version of the following packages: ‘sparky-apt’, ‘sparky6-apt’, ‘sparky-core’; the ‘sparky5-apt’ package has to be removed.
sudo apt install sparky-apt sparky6-apt sparky-core
4. Then make full system upgrade:
sudo apt update
sudo apt full-upgrade

Let me know if you find any problem with upgrading your Sparky installation, please.

Sparky 5.8 RC2 ARMHF

New images of Sparky 5.8 RC2 for RaspberryPi are ready to go. Sparky 5.8 RC is a release candidate and is based on upcoming Debian stable Buster.

The ARMHF images are available in two flavours:
• CLI – a text based OS only, so you can configure the system in your way
• Openbox – graphical version with the Openbox window manager and a few pre-installed applications

Known issues:
– Openbox edition: the Openbox starts, but other tools (panel, wallpaper, network manager, audio applet, etc.) could not start at first time; if so, wait 2 minutes about to let one of my scripts works and simply reboot (an active network connection required!)

Please test the new images and report whatever you find.
The 5.8 release candidate iso/img images can be downloaded from the download/development page.

Edit 2019/07/01:
Image 5.8 RC3 fixed the above problem, but the first Openbox loading can be a little longer than normal.

Sparky 5.8 RC

New live/install iso images of Sparky 5.8 RC are out. Sparky 5.8 RC is a release candidate of the next stable line and is based on upcoming Debian stable Buster.

Changes between Sparky 5.7.x and 5.8 RC:
• Debian repo set to buster now, not to testing
• Sparky repo still points to testing, and will be updated automatically soon
• usrmerge set dirs symlinks (can be removed after)
• added inxi tool to all iso images
• all packages updated from Debian Buster repos as of July 3, 2019
• due to a few feedbacks I got, some of you are not happy with switching from LXDE to LXQt edition, so there is the Xfce edition re-built and ready to use
• due to problem with sparky5 theme in the Xfce edition, a new sparky6 theme is set as default (Xfce only)
• many Sparky apps have gotten Russian translations, thank’s to ChourS
• Calamares updated up to 3.2.9
• Firefox replaced by Firefox ESR

Please test the new iso images and report whatever you find.
The 5.8 release candidate iso images can be downloaded from the download/development page.

Sparky 5.7 Special Editions

New live/install iso images of SparkyLinux 5.7 “Nibiru” special editions: GameOver, Multimedia & Rescue are available to download. Sparky 5 follows rolling release model and is based on Debian testing “Buster”.

The latest iso images follow changes implemented at the Sparky 5.7, and offer additional small changes, such as:
– system updated from Debian testing repos as of March 11, 2019
– a password strength in Calamares installer changed from 8 to 6 signs (minimum)
– torrent files use the DistroWatch tracker as default now (thank’s a lot), but can be found at LinuxTracker service too, as before

System reinstallation is not required. If you have Sparky 5.x installed, simply make full system upgrade to be working in the latest version.

New iso images can be downloaded from download/rolling page.

Sparky 5.7

There are new live/install iso images of SparkyLinux 5.7 “Nibiru” available to download. This is the 1st this year iso image releasing of the rolling line, which is based on Debian testing “Buster”.

Changes:
– system updated from Debian testing repos as of March 4, 2019
– Linux kernel 4.19.16 (5.0 & 4.20.14 available at Sparky “unstable” repos)
– the Calamares installer updated up to version 3.2.4
– user’s folders such as: Documents, Music, Download, etc. are automatically created now in your home dir in Openbox and other, small window managers
– Yad reinstalled to the default Debian’s version + removed old libs (html mode doesn’t work now)
– Linux kernel has been reverted to Debian’s version from testing repos (amd64 / 686 non-pae) as default
– added very small and very simply Sparky Player to MinimalGUI edition; it lets you open almost all known multimedia formats, from a context menu sparkylinux.org/wiki/doku.php/sparky_player
– the system identifies itself with a release number 5.7 now instead of a line number 5
– APTus enlarged off two new sections of applications: AudioTool & VideoTool
– a few small fixes

Additional, small changes at the main, LXQt edition:
– Yarock audio player changed by a lightweight QMMP player with a simply QSUI interface as default
– Xarchiver changed by LXQt-archiver
– Simple Scan changed by SkanLite

System reinstallation is not required.
If you have Sparky 5.x installed, simply make full system upgrade.
New iso images can be downloaded from download/rolling page.

Known issues
Installation Sparky via Calamares (Sparky Installer):
– the full disk encryption in autopartitioning mode is temporary disabled, due to a problem with generating a cryptkey
– encrypting other dirs than root, such as: home, data, etc. in manual mode is possible.

Sparky 5.6

There are new live/install iso images of SparkyLinux 5.6 “Nibiru” available to download. This it the 4th and the last this year iso image update of the rolling line, which is based on Debian testing “Buster”.

Changes:
– system updated from Debian testing repos as of December 16, 2018
– Linux kernel 4.19.9 (4.19.10 & 4.20-rc7 available at Sparky “unstable” repos)
– the Calamares installer 3.2.1
– many small fixes

Changes of small window managers configuration (can be installed via Minimal iso images or APTus):
– a previous sound applet changed by pnmixer
– PCManFM file manager changed by Thunar
– added packages: xfce4-notifyd, xfce4-power-manager, sparky-fileopen
– thunar daemon is enabled as default

32 bit iso images are shipped with Linux kernel i686-pae now. If you have an old machine with 32 non-pae CPU – I recommend to use Sparky stable i686.
System reinstallation is not required. If you have Sparky 5.x installed, simply make full system upgrade to be working in the latest version.

New iso images can be downloaded from download/rolling page.

Sparky 5.5 Special Editions

There are new live/install iso images of SparkyLinux 5.5 “Nibiru” GameOver, Multimedia & Rescue available to download. Sparky 5 follows rolling release model and is based on Debian testing “Buster”.

GameOver Edition features a very large number of preinstalled games, useful tools and scripts. It’s targeted to gamers.

Multimedia Edition features a large set of tools for creating and editing graphics, audio, video and HTML pages.

The live system of Rescue Edition contains a large set of tools for scanning and fixing files, partitions and operating systems installed on hard drives.

This is a quarterly update of Sparky of the rolling line which features changes such as:
– system updated from Debian testing repos as of September 24, 2018
– Linux kernel 4.18.6 (4.18.9 & 4.19-rc5 sparky are available at Sparky “unstable” repos)
– the Calamares installer updated up to version 3.2.1
– Thunar daemon is deactiveted in live session, due to problem of automounting new partitions created by Calamares
– removed packages: libpam-gnome-keyring, vim, systemd-ui
– added new packages: seahorse, rxvt-unicode
– the Calamares and Advanced Installer remove Cryptsetup packages now (Calamares removes the packages if the system is not installed on an encrypted disk/partition)
– small fixes

No system reinstallation is required, simply do full system upgrade:
sudo apt-get update
sudo apt-get dist-upgrade

If any problem, run:
sudo dpkg --configure -a
sudo apt-get install -f

New iso images can be downloaded from download/rolling page.

 

Sparky 5.5 RC

There are new iso images of SparkyLinux 5.5 Release Candidate available to download.
Sparky 5 follows rolling release model and is based on Debian testing “Buster”.

ISO images of Sparky 5.5 RC provides bug fixing found in the 5.5 dev20180725 release.

Changes:
– system update from Debian testing repos as of August 10, 2018
– Linux kernel 4.17.8 (Sparky’s kernel 4.17.14 and 4.18-rc8 is available in Sparky “unstable” repos)
– on older Linux kernel 4.16.12 is still available from live menu, which can be used in a case of any problem with the newest one
– a couple of fixes around the btrfs setting in the Advanced Installer
– fixed mount option for Calamares and Advanced installer which lets you install Sparky on UEFI machines (offline grub-efi debs installation)
– removed the Advanced Installer icon from the live desktop – it is still available from system’s menu
– due to changes in Debian, the su used before for some task, such us using apt and dpkg, is not supported and sudo command has to be used instead now
– all missing Indonesian, Brazilian and Russian locales of Sparky tools have been added to
– many small fixes

The live system uses Linux kernel 4.17.x as default.
If you would like to boot the live system using an older kernel of the 4.16.x line, edit the live boot list and change:
'vmlinuz' to 'vmlinuz416'
and
'initrd.img' to 'initrd416.img'

The final version of Sparky 5.5 of the rolling line should be out in the middle of September.

New 5.5 RC iso images can be downloaded from download/devlopment page.
Really big thank for help of testing goes to Szymon “lami07” and Daniel “Capitan_Jack” !
Please test it and report whatever you find.

Known issues:
– installing Sparky 5.5 RC i686 via the Advanced Installer on UEFI machines can fail (tested on VirtualBox only)
– running Sparky via 4.17.x kernel, desktops can be loaded very slowly; use pre-installed kernel 4.16.x or install the latest Sparky kernel instead.

Sparky 5.5 dev20180726

There are new testing iso images of SparkyLinux 5.5-dev20180726 available to download.
Sparky 5 follows rolling release model and is based on Debian testing “Buster”.

ISO images of Sparky 5.5-dev20180726 provide new features to be tested which will be available in the next Sparky release.

Changes:
– system update from Debian testing repos as of July 26, 2018
– Linux kernel 4.17.8 (4.17.10-sparky is available in Sparky “unstable” repo)
– older Linux kernel 4.16.12 is available from live media as well, which can be used in a case of any problem with the newest one
– added support of btrfs & xfs file systems in Advanced Installer – installation on btrfs installs the system in subvolumes: @ and @home; choosing a separate partition for home makes the @home subvolume as well; it lets you make a snapshot of your system partitions via the btrfs utility or via TimeShift appliacation and lets you recovery them later
– added new tool: TimeShift
– added new, own tool: DEBiTool, which replaced GDebi and can be used for installing deb packages from a local drive
– improved configuration of removing live packages in Advanced Installer; sudo package is not removed now if you install Sparky using minimalcli iso image

The live system uses Linux kernel 4.17.x as default.
If you would like to boot the live system using an older kernel of the 4.16.x line, edit the live boot list and change:
'vmlinuz' to 'vmlinuz416'
and
'initrd.img' to 'initrd416.img'

New development iso images can be downloaded from download/devlopment page.
The iso images are a little bigger than before – every one features 2 Linux kernels.

Please test it and report whatever you find.

 

Advertising